## Apache Zeta Components Manual :: Docs For Class ezcWorkflowConditionIsEqualOrLessThan

### Workflow::ezcWorkflowConditionIsEqualOrLessThan

### Class ezcWorkflowConditionIsEqualOrLessThan

Condition that evaluates to true if the provided value is less than or equal to the reference value.

Typically used together with ezcWorkflowConditionVariable to use the condition on a workflow variable.

1. <?php
2. $condition=new ezcWorkflowConditionVariable ('variable name',
3. new ezcWorkflowConditionIsEqualOrLessThan ($comparisonValue)
4. );
5. ?>

Source for this file: /Workflow/src/conditions/is_equal_or_less_than.php

    ezcWorkflowConditionComparison
       |
       --ezcWorkflowConditionIsEqualOrLessThan

Version: | //autogen//

### Member Variables

protected mixed | `$operator = '<='` Textual representation of the comparison operator.

### Inherited Member Variables

From ezcWorkflowConditionComparison
protected | `ezcWorkflowConditionComparison::$value`

### Inherited Methods

From ezcWorkflowConditionComparison
public ezcWorkflowConditionComparison | `ezcWorkflowConditionComparison::__construct()` Constructs a new comparison condition.

Documentation generated by phpDocumentor 1.4.3